Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.0.1 »
- erfa Package »
- rz

# rz

erfa.rz(psi, r)

  Rotate an r-matrix about the z-axis.

  Parameters
    psi double array
    r double array
  Returns
    r double array

  Notes

  Wraps ERFA function `eraRz`. Note that, unlike the erfa routine, the python wrapper does not change r in-place. The ERFA documentation is:

      - - - - - -
       e r a R z
      - - - - - -

      Rotate an r-matrix about the z-axis.

      Given:
         psi    double          angle (radians)

      Given and returned:
         r      double[3][3]    r-matrix, rotated

      Notes:

      1) Calling this function with positive psi incorporates in the
         supplied r-matrix r an additional rotation, about the z-axis,
         anticlockwise as seen looking towards the origin from positive z.

      2) The additional rotation can be represented by this matrix:

             (  + cos(psi)   + sin(psi)     0  )
             (                                 )
             (  - sin(psi)   + cos(psi)     0  )
             (                                 )
             (       0            0         1  )

      This revision:  2021 May 11

      Copyright (C) 2013-2021, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.